Package org.apache.sysds.parser.dml

# Class StatementInfo

java.lang.Object
org.apache.sysds.parser.dml.StatementInfo

public class StatementInfo extends Object
This class exists solely to prevent compiler warnings.

The ExpressionInfo and StatementInfo classes are shared among both parsers (R-like and Python-like dialects), and Antlr-generated code assumes that these classes are present in the parser's namespace.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`functionName`
`HashMap<String,FunctionDictionary<FunctionStatementBlock>>`
`namespaces`
`Statement`
`stmt`

## Constructor Summary

Constructors
Constructor
Description
`StatementInfo()`

## Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### stmt

public Statement stmt

### namespaces

public HashMap<String,FunctionDictionary<FunctionStatementBlock>> namespaces

### functionName

public String functionName

## Constructor Details

### StatementInfo

public StatementInfo()